> For the complete documentation index, see [llms.txt](https://help.meltingspot.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.meltingspot.io/english/manage-spot/integrations/api-access/rest-api.md).

# REST API

The **REST API** uses **RESTful** architecture to provide a simple, consistent interface. One of the main advantages of the **REST API** is that it doesn't require many tools to access your data.&#x20;

## REST resources and requests&#x20;

The **REST API** is based on the use of resources: data elements in MeltingSpot, such as lives, collections, search results, etc. Each resource is exposed via a **URL** and can be accessed by sending **HTTP requests** to the corresponding **URL**. Depending on the resource you wish to access, and how you construct an **HTTP request**, you can perform several types of operations:&#x20;

* Create resources&#x20;
* Update resources&#x20;
* Delete resources&#x20;
* Retrieve data&#x20;
* Search your resources

You can send **HTTP requests** using a variety of software tools. However, no matter how you submit your requests, the elements don't change. A typical request consists of these elements.&#x20;

* **URL:** this is the path to a resource in MeltingSpot.&#x20;
* **HTTP method:** this is the action you wish to perform on the resource in question
  * `GET`: retrieves data&#x20;
  * `POST`: to create data&#x20;
  * `PUT`: to modify data&#x20;
  * `DELETE`: deletes data&#x20;
* **Headers:** transmit parameters and customize HTTP request options.&#x20;
* **Body:** allows you to provide additional information, such as the first name of the spotMember you wish to add to a given collection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.meltingspot.io/english/manage-spot/integrations/api-access/rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
